Name:          gnome-icon-theme-extras
Version:       3.12.0
Release:       10
Summary:       Additional collection of icons for the GNOME desktop
License:       CC-BY-SA
Source0:       http://download.gnome.org/sources/gnome-icon-theme-extras/3.12/gnome-icon-theme-extras-3.12.0.tar.xz
BuildArch:     noarch
BuildRequires: icon-naming-utils >= 0.8.7
Requires:      gnome-icon-theme

%description
This package contains extra device and mime-type icons for use by
the GNOME desktop. This package is known to build and work properly
using an LFS-9.0 platform.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure

%install
%make_install

%post
touch --no-create %{_datadir}/icons/gnome &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/gnome &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/gnome &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/gnome &>/dev/null || :

%files
%doc COPYING AUTHORS
%{_datadir}/icons/gnome/*

%changelog
* Tue Dec 24 2019 gulining<gulining1@huawei.com> - 3.12.0-10
- resolve install warning with gtk environment

* Wed Dec 11 2019 gulining<gulining1@huawei.com> - 3.12.0-9
- Pakcage init
